Name:		moc
Version:	2.5.2
Release:	%mkrel 3
Summary:	Music on Console - Console audio player for Linux/UNIX
License:	GPLv2
Group:		Sound
URL:		http://moc.daper.net/
Source0:	http://ftp.daper.net/pub/soft/moc/stable/%{name}-%{version}.tar.bz2
Patch0:		moc-2.5.2-ffmpeg-4.0.patch

BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(opus)
BuildRequires:	lib64db5.3-devel
BuildRequires:	gettext-devel
BuildRequires:	libtool-devel
BuildRequires:  lib64wavpack-devel
BuildRequires:  lib64popt-devel
BuildRequires:  lib64magic-devel
BuildRequires:  lib64id3tag-devel

%description
MOC (music on console) is a console audio player for LINUX/UNIX designed to be
powerful and easy to use. You just need to select a file from some directory
using the menu similar to Midnight Commander, and MOC will start playing all
files in this directory beginning from the chosen file.

%prep
%setup -q
%apply_patches

%build
# fix build on aarch64
autoreconf -vfi

%configure2_5x \
	--disable-static \
	--with-oss --with-alsa --with-jack --with-aac --with-mp3 \
	--with-musepack --with-vorbis --with-flac --with-wavpack \
	--with-sndfile --with-modplug --with-ffmpeg --with-speex \
	--with-samplerate --with-curl --with-rcc
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/doc

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc README README_equalizer AUTHORS config.example keymap.example NEWS
%doc COPYING
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}*


%changelog
* Mon Jun 17 2019 tex - 2.5.2-3pclos2019
- rebuild against updates
- fix rpm group

* Sun Jun 09 2019 tex - 2.5.2-2pclos2019
- rebuild against updates

